"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// index.ts
var index_exports = {};
__export(index_exports, {
  getPlacementStatus: () => getPlacementStatus4
});
module.exports = __toCommonJS(index_exports);

// src/app-plugins-site-plugins-v1-placement-status-plugins.universal.ts
var import_transform_error = require("@wix/sdk-runtime/transform-error");
var import_rename_all_nested_keys = require("@wix/sdk-runtime/rename-all-nested-keys");

// src/app-plugins-site-plugins-v1-placement-status-plugins.http.ts
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
var import_rest_modules2 = require("@wix/sdk-runtime/rest-modules");
function resolveWixAppPluginsSitePluginsV1PluginsPlacementStatusImplUrl(opts) {
  const domainToMappings = {
    "bo._base_domain_": [
      {
        srcPath: "/_serverless/editor-platform-widget-plugins-external",
        destPath: ""
      }
    ],
    "wixbo.ai": [
      {
        srcPath: "/_serverless/editor-platform-widget-plugins-external",
        destPath: ""
      }
    ],
    "wix-bo.com": [
      {
        srcPath: "/_serverless/editor-platform-widget-plugins-external",
        destPath: ""
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/app-plugins",
        destPath: ""
      }
    ],
    "*.dev.wix-code.com": [
      {
        srcPath: "/_serverless/editor-platform-widget-plugins-external",
        destPath: ""
      }
    ],
    "editor._base_domain_": [
      {
        srcPath: "/_serverless/editor-platform-widget-plugins-external",
        destPath: ""
      }
    ],
    "blocks._base_domain_": [
      {
        srcPath: "/_serverless/editor-platform-widget-plugins-external",
        destPath: ""
      }
    ],
    "create.editorx": [
      {
        srcPath: "/_serverless/editor-platform-widget-plugins-external",
        destPath: ""
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_serverless/editor-platform-widget-plugins-external",
        destPath: ""
      }
    ],
    _: [
      {
        srcPath: "/_serverless/editor-platform-widget-plugins-external",
        destPath: ""
      }
    ],
    "www._base_domain_": [
      {
        srcPath: "/_serverless/editor-platform-widget-plugins-external",
        destPath: ""
      }
    ],
    "api._api_base_domain_": [
      {
        srcPath: "/editor-platform-widget-plugins-external",
        destPath: ""
      }
    ]
  };
  return (0, import_rest_modules2.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_site-plugins_plugins";
function getPlacementStatus(payload) {
  function __getPlacementStatus({ host }) {
    const metadata = {
      entityFqdn: "wix.app_plugins.site_plugins.v1.placement_status",
      method: "GET",
      methodFqn: "wix.app_plugins.site_plugins.v1.PluginsPlacementStatusImpl.GetPlacementStatus",
      packageName: PACKAGE_NAME,
      url: resolveWixAppPluginsSitePluginsV1PluginsPlacementStatusImplUrl({
        protoPath: "/v1/site-plugins/placement-status",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload)
    };
    return metadata;
  }
  return __getPlacementStatus;
}

// src/app-plugins-site-plugins-v1-placement-status-plugins.universal.ts
async function getPlacementStatus2() {
  const { httpClient, sideEffects } = arguments[0];
  const payload = (0, import_rename_all_nested_keys.renameKeysFromSDKRequestToRESTRequest)({});
  const reqOpts = getPlacementStatus(
    payload
  );
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
    return (0, import_rename_all_nested_keys.renameKeysFromRESTResponseToSDKResponse)(result.data);
  } catch (err) {
    const transformedError = (0, import_transform_error.transformError)(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: {},
        singleArgumentUnchanged: false
      },
      []
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}

// src/app-plugins-site-plugins-v1-placement-status-plugins.public.ts
function getPlacementStatus3(httpClient) {
  return () => getPlacementStatus2(
    // @ts-ignore
    { httpClient }
  );
}

// src/app-plugins-site-plugins-v1-placement-status-plugins.context.ts
var import_rest_modules3 = require("@wix/sdk-runtime/rest-modules");
var getPlacementStatus4 = /* @__PURE__ */ (0, import_rest_modules3.createRESTModule)(getPlacementStatus3);
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  getPlacementStatus
});
//# sourceMappingURL=index.js.map