import { HttpClient, MaybeContext, BuildRESTFunction } from '@wix/sdk-types';
import { G as GetPlacementStatusResponse } from './app-plugins-site-plugins-v1-placement-status-plugins.universal-CB8hefIa.mjs';
export { a as GetPlacementStatusRequest, P as PlacementStatus } from './app-plugins-site-plugins-v1-placement-status-plugins.universal-CB8hefIa.mjs';

declare function getPlacementStatus$1(httpClient: HttpClient): GetPlacementStatusSignature;
interface GetPlacementStatusSignature {
    /**
     * Get the placement statuses of your app's site plugins on the user's site.
     */
    (): Promise<GetPlacementStatusResponse>;
}

declare const getPlacementStatus: MaybeContext<BuildRESTFunction<typeof getPlacementStatus$1> & typeof getPlacementStatus$1>;

export { GetPlacementStatusResponse, getPlacementStatus };
